### Method

# GLib AsyncQueue timed_pop_unlocked

deprecated: Unknown

#### Declaration [src]

    gpointer
    g_async_queue_timed_pop_unlocked (
      GAsyncQueue* queue,
      GTimeVal* end_time
    )

#### Description [src]

Pops data from the `queue`. If the queue is empty, blocks until `end_time` or until data becomes available.

If no data is received before `end_time`, `NULL` is returned.

To easily calculate `end_time`, a combination of `g_get_real_time()` and `g_time_val_add()` can be used.

This function must be called while holding the `queue`‘s lock.

Deprecated since: Unknown

Use g_async_queue_timeout_pop_unlocked().

#### Parameters

`end_time`

  Type: `GTimeVal`

  A `GTimeVal`, determining the final time.

  The data is owned by the caller of the method.

#### Return value

Type: `gpointer`

Data from the queue or `NULL`, when no data is received before `end_time`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.